#include<stdio.h>
#include<math.h>

int main()
    {
        int z,F0=0,F1=1;
        int n,i,m;

        printf("Enter Your Number: ");
        scanf("%d", &n);
        
        printf("FB-0=%d\t", F0);
        printf("FB-1=%d\t", F1);

        for ( i=0; i<=(n-2); i++ )
        {
            z=F0+F1;
            
            F0=F1;
            F1=z;
            m=i+2;
            
            printf("FB-%d=%d \t",m,z);
        }
        
        printf("Sum=%d",z);

    }